<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetShowInBOM Method (IEdmEnumeratorCustomReference7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorCustomReference7 Interface : SetShowInBOM Method (IEdmEnumeratorCustomReference7)

Visual Basic
C#
C++/CLI

lFileID
  ID of referenced file

lFolderID
  ID of parent folder of referenced file

bShowInBOM
  True to show the specified file's user-defined file references in a BOM, false to not

Sets whether to show the specified file's user-defined file references in a BOM.

# Syntax

Visual Basic |
--- | ---

    Sub SetShowInBOM( _
       ByVal lFileID As System.Integer, _
       ByVal lFolderID As System.Integer, _
       ByVal bShowInBOM As System.Boolean _
    )

C# |
--- | ---

    void SetShowInBOM(
       System.int lFileID,
       System.int lFolderID,
       System.bool bShowInBOM
    )

C++/CLI |
--- | ---

    void SetShowInBOM(
    &   System.int lFileID,
    &   System.int lFolderID,
    &   System.bool bShowInBOM
    )

#### Parameters

lFileID
  ID of referenced file
lFolderID
  ID of parent folder of referenced file
bShowInBOM
  True to show the specified file's user-defined file references in a BOM, false to not

# See Also

####

IEdmEnumeratorCustomReference7 Interface
IEdmEnumeratorCustomReference7 Members
IEdmEnumeratorCustomReference7::GetShowInBOM Method ()

# Availability

SOLIDWORKS PDM Professional 2017